TTF_SetTextWrapWidth(3)

NAME
TTF_SetTextWrapWidth - Set whether wrapping is enabled on a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetTextWrapWidth(TTF_Text *text, int wrap_width);

DESCRIPTION
This function may cause the internal text representation to be rebuilt.

FUNCTION PARAMETERS

text
    the TTF_Text
     to modify.

wrap_width
    the maximum width in pixels, 0 to wrap on newline characters.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetTextWrapWidth(3)